al_draw_scaled_bitmap(3)

NAME

al_draw_scaled_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_draw_scaled_bitmap(ALLEGRO_BITMAP *bitmap,
       float sx, float sy, float sw, float sh,
       float dx, float dy, float dw, float dh, int flags)

DESCRIPTION

Draws a scaled version of the given bitmap to the target bitmap.

•   sx - source x

•   sy - source y

•   sw - source width

•   sh - source height

•   dx - destination x

•   dy - destination y

•   dw - destination width

•   dh - destination height

•   flags - same as for al_draw_bitmap(3)

See al_draw_bitmap(3) for a note on restrictions on which bitmaps can be drawn where.

SEE ALSO

al_draw_bitmap(3), al_draw_bitmap_region(3), al_draw_rotated_bitmap(3), al_draw_scaled_rotated_bitmap(3),